$(document).ready(function(){

  $('#resetBtn').click(function(){
    console.log('foo bar');
    location.reload();
  });

  var directMnoSelectionStart = $('#directMno').val();
  if (directMnoSelectionStart !== undefined) {
    // #console.log(directMnoSelectionStart + " at rest");
    if (directMnoSelectionStart == 'YES') {
      // $('#mnoDiv').removeClass('hidden');
      // $('#supplierDiv').addClass('hidden');
      $('#supplierName').attr('required', false);
      $('#supplierName').attr('disabled', true);
      $('#networkName').attr('disabled', false);
    }
    else if(directMnoSelectionStart == 'NO'){
      // console.log('in the NO in Create | at rest');
      // $('#supplierDiv').removeClass('hidden');
      // $('#mnoDiv').addClass('hidden');
      $('#networkName').attr('required', false);
      $('#networkName').attr('disabled', true);
      $('#supplierName').attr('disabled', false);
    }
    else{
      console.log('do nothing in create | at rest');
    }
  }

  //Edit
  var directMnoSelectionEditStart = $('#directMnoEdit').val();
  if (directMnoSelectionEditStart !== undefined) {
    // console.log(directMnoSelectionEditStart + " at rest");
    if (directMnoSelectionEditStart == 'YES') {
      // $('#mnoDivEdit').removeClass('hidden');
      // $('#supplierDivEdit').addClass('hidden');
      $('#supplierNameEdit').attr('required', false);
      $('#supplierNameEdit').attr('disabled', true);
      $('#networkNameEdit').attr('disabled', false);
    }
    else if(directMnoSelectionEditStart == 'NO'){
      console.log('in the NO in Edit | at rest');
      // $('#supplierDivEdit').removeClass('hidden');
      // $('#mnoDivEdit').addClass('hidden');
      $('#networkNameEdit').attr('required', false);
      $('#networkNameEdit').attr('disabled', true);
      $('#supplierNameEdit').attr('disabled', false);
    }
    else{
      console.log('do nothing in Edit | at rest');
    }
  }


//Create
	$('#directMno').change(function(tve){
    tve.preventDefault();
    // var theIDD = $(this).siblings('.shortCodeEntryRowId').val();
    var directMnoSelection = $(this).val();
    // console.log('User selection ' + directMnoSelection);
    if (directMnoSelection == 'YES') {
        // $('#mnoDiv').removeClass('hidden');
        // $('#supplierDiv').addClass('hidden');
        // $('#mnoDivEdit').removeClass('hidden');
        // // $('#supplierNameMM').val('').change();
        // $('#supplierNameMM').remove();
        // $('#supplierDiv').remove();
        
        $('#supplierName').attr('required', false);
        $('#supplierName').attr('disabled', true);

        $('#networkName').attr('disabled', false);

        // $("#supplierName").prop("disabled", true);
        // $("#networkNameEdit").prop("disabled", false);
    }
    else{
      // $('#supplierDiv').removeClass('hidden');
      // $('#mnoDiv').addClass('hidden');
      // $('#mnoDivEdit').addClass('hidden');
      
      // $('#networkNameMM').val('').change();
      // $('#mnoDiv').remove();

      // $("#networkName").prop("disabled", true);
      // $("#supplierNameEdit").prop("disabled", false);
      $('#networkName').attr('disabled', true);
      $('#networkName').attr('required', false);
      $('#supplierName').attr('disabled', false);

    }

    
  });


  $('#directMnoEdit').change(function(tve){
    tve.preventDefault();
    var directMnoSelectionEdit = $(this).val();
    // console.log(directMnoSelectionEdit);
    if (directMnoSelectionEdit == 'YES') {
      // $('#mnoDivEdit').removeClass('hidden');
      // $('#supplierDivEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", true);
      // $("#networkNameEdit").prop("disabled", false);

      $('#supplierNameEdit').attr('required', false);
      $('#supplierNameEdit').attr('disabled', false);
      $('#networkNameEdit').attr('disabled', true);
    }
    else if(directMnoSelectionEdit == 'NO'){
      console.log('in the NO | on change');
      // $('#supplierDivEdit').removeClass('hidden');
      // $('#networkNameEdit').removeClass('hidden');
      // $('#mnoDivEdit').addClass('hidden');
      // $('#networkNameEdit').addClass('hidden');
      // $("#supplierNameEdit").prop("disabled", false);
      // $("#networkNameEdit").prop("disabled", true);
      $('#networkNameEdit').attr('required', false);
      $('#networkNameEdit').attr('disabled', true);
      $('#supplierNameEdit').attr('disabled', false);
    }
    else{
      console.log('do nothing | on change');
    }

    
    
  });
});